package com.jpsoft.shinestar.modules.base.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.shinestar.modules.base.entity.MeetingPerson;
import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.common.dto.Sort;

public interface MeetingPersonService {
	MeetingPerson get(String id);
	boolean exist(String id);
	int insert(MeetingPerson model);
	int update(MeetingPerson model);
	int delete(String id);
	List<MeetingPerson> list();
	List<MeetingPerson> findByMeetingId(String meetingId);
	Page<MeetingPerson> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);
	Page<Map> realToSearch(Map<String, Object> searchParams, int pageIndex, int pageSize, boolean count, List<Sort> sortList);
	Page<MeetingPerson> absentSearch(Map<String, Object> searchParams, int pageIndex, int pageSize, boolean count, List<Sort> sortList);
	Page<Map> lateSearch(Map<String, Object> searchParams, int pageIndex, int pageSize, boolean count, List<Sort> sortList);
}